<?xml version="1.0" encoding="utf-8"?>
<!--
/*
 * Copyright (C) 2008 Esmertec AG.
 * Copyright (C) 2008 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
-->

<com.android.mms.ui.ConversationListItem xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="?android:attr/listPreferredItemHeight"
    android:background="?android:attr/activatedBackgroundIndicator"
    android:paddingRight="10dip" >

    <android.widget.QuickContactBadge
        android:id="@+id/avatar"
        android:visibility="gone"
        android:layout_centerVertical="true"
        style="?android:attr/quickContactBadgeStyleWindowLarge" />


    <ImageView
        android:id="@+id/presence"
        android:visibility="invisible"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignParentRight="true"
        android:layout_alignParentTop="true"
        android:src="@drawable/ic_unread_label"/> 
        
    <TextView android:id="@+id/from"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:textAppearance="?android:attr/textAppearanceMedium"
        android:singleLine="true"
        android:layout_marginTop="6dip"
        android:layout_marginRight="5dip"
        android:layout_marginLeft="10dip"
        android:layout_alignParentTop="true"
        android:layout_toRightOf="@id/avatar"
        android:layout_toLeftOf="@id/presence"
        android:layout_alignWithParentIfMissing="true"
        android:ellipsize="marquee"  />

    <TextView android:id="@+id/date"
        android:layout_marginTop="2dip"
        android:layout_marginBottom="10dip"
        android:layout_marginLeft="5dip"
        android:layout_marginRight="10dip"
        android:layout_height="wrap_content"
        android:layout_width="wrap_content"
        android:textAppearance="?android:attr/textAppearanceSmall"
        android:singleLine="true"
        android:layout_alignParentRight="true"
        android:layout_alignParentBottom="true" />

    <ImageView android:id="@+id/error"
        android:layout_marginLeft="3dip"
        android:visibility="invisible"
        android:layout_toLeftOf="@id/date"
        android:layout_alignBottom="@id/date"
        android:layout_height="wrap_content"
        android:layout_width="wrap_content"
        android:src="@drawable/ic_list_alert_sms_failed" />

    <ImageView android:id="@+id/attachment"
        android:layout_marginLeft="3dip"
        android:layout_height="wrap_content"
        android:layout_width="wrap_content"
        android:visibility="gone"
        android:layout_toLeftOf="@id/error"
        android:layout_alignBottom="@id/date"
        android:src="@drawable/ic_attachment_universal_small" />

    <TextView android:id="@+id/subject"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:textAppearance="?android:attr/textAppearanceSmall"
        android:singleLine="true"
        android:layout_marginBottom="7dip"
        android:layout_marginLeft="10dip"
        android:layout_alignParentBottom="true"
        android:layout_toRightOf="@id/avatar"
        android:layout_toLeftOf="@id/attachment"
        android:ellipsize="end" />

</com.android.mms.ui.ConversationListItem>
